# Part 11: 캡스톤 프로젝트 가이드

**⬅️ 이전 시간: [Part 10: 전문가로 가는 길](./part_10_expert_path.md)**

AI 전문가 양성 과정의 마지막 단계인 캡스톤 프로젝트를 성공적으로 완수하기 위한 가이드입니다.

---

### 1. 프로젝트 개요

캡스톤 프로젝트는 과정에서 배운 AI 기술과 지식을 총동원하여 실제 문제를 해결하는 실전 경험을 쌓는 것을 목표로 합니다. 팀을 구성하여 아이디어를 기획하고, 데이터 수집, 모델링, 개발, 그리고 최종 발표까지 프로젝트의 전 과정을 직접 수행하게 됩니다.

### 2. 프로젝트 주제 예시

아래 예시를 참고하여 창의적이고 실용적인 프로젝트 주제를 선정해 보세요.

- **AI 챗봇 개발**: 특정 도메인(e.g., 법률, 의료, 쇼핑)의 정보를 제공하거나 상담해주는 챗봇
- **이미지 분류/객체 탐지 서비스**: 특정 종류의 이미지를 분류하거나(e.g., 식물, 동물 종 식별), 이미지 내의 객체를 탐지하는(e.g., CCTV 영상 분석) 서비스
- **[RAG(Retrieval-Augmented Generation)](./glossary.md#rag-retrieval-augmented-generation) 기반 Q&A 시스템**: 전문 문서나 내부 자료를 기반으로 사용자의 질문에 정확하게 답변하는 시스템
- **추천 시스템**: 사용자 행동 데이터를 기반으로 상품, 콘텐츠, 또는 서비스를 추천하는 시스템
- **데이터 시각화 대시보드**: 복잡한 데이터를 수집/분석하여 의미 있는 인사이트를 제공하는 인터랙티브 대시보드

### 3. 팀 구성 가이드라인

- **팀 규모**: 3~4인으로 구성하는 것을 권장합니다.
- **역할 분담**: 팀 내에서 기획, 데이터 분석, 모델링, 백엔드/프론트엔드 개발 등 역할을 분담하여 효율적으로 협업하는 것이 중요합니다.
- **팀워크**: 정기적인 회의와 명확한 의사소통을 통해 프로젝트 진행 상황을 공유하고 문제를 함께 해결해 나가세요.

### 4. 주차별 마일스톤

| 주차 | 주요 활동 | 상세 내용 |
| :--: | :--- | :--- |
| **1주차** | **기획 및 데이터 수집** | - 아이디어 구체화 및 최종 주제 선정<br/>- 필요 데이터 정의 및 수집/가공 계획 수립<br/>- 개발 환경 설정 및 역할 분담 |
| **2주차** | **핵심 기능 모델링 및 개발** | - 데이터 전처리 및 분석<br/>- 핵심 AI 모델 설계, 학습 및 평가<br/>- 서비스 프로토타입 개발 |
| **3주차** | **최종 개발, 발표 및 코드 리뷰** | - 모델 성능 개선 및 서비스 기능 고도화<br/>- 최종 발표 자료(PPT) 및 데모 영상 제작<br/>- Github 레포지토리 정리 및 동료 코드 리뷰 |

### 5. 최종 결과물

- **발표 자료 (PPT)**: 프로젝트의 목표, 과정, 결과, 그리고 배운 점을 명확하게 정리하여 발표합니다.
- **Github 레포지토리**: 모든 소스코드, 데이터(혹은 데이터 설명), 실행 방법이 포함된 README 파일을 포함해야 합니다.
- **데모 영상**: 서비스의 핵심 기능을 시연하는 3~5분 내외의 영상입니다.

### 6. 평가 기준

| 평가 항목 | 세부 내용 | 배점 |
| :--- | :--- | :--: |
| **기술 구현의 완성도** | AI 모델의 성능, 서비스의 안정성 및 기능의 완성도 | 40 |
| **아이디어의 창의성 및 실용성** | 문제 해결 방식의 독창성과 실제 활용 가능성 | 30 |
| **프로젝트 관리 및 협업** | 마일스톤 준수, 역할 분담, Github 활용 등 협업 과정 | 20 |
| **최종 발표 및 전달력** | 프로젝트 결과물을 명확하고 논리적으로 설명하는 능력 | 10 |

---

캡스톤 프로젝트를 통해 여러분의 가능성을 마음껏 펼치시길 바랍니다! 